const eeui = app.requireModule('eeui');
export default {
	setLocation(data) {
        var pid = data.pid || 0;
		var cid = data.cid || 0;
		var p = data.p || '';
		var c = data.c || '';
		if (pid > 0 && cid > 0 && p.length > 0 && c.length > 0) {
			eeui.setVariate("kUserLocation", data)
            eeui.setCaches("kUserLocation", data, 0)
        }
	},
	// key可选值，不传默认返回用户所有数据
	getLocation() {
		var kUserLocation = eeui.getVariate("kUserLocation", "");
		// 没有用户数据
		if(kUserLocation == "") {
			// 读取缓存
			kUserLocation = eeui.getCaches("kUserLocation", {
						pid: 110000,
						p: "北京",
						cid: 110101,
						c : "东城区",
						isDefault: true
					});
			this.setLocation(kUserLocation)
		}
		var location = kUserLocation
		var type = typeof kUserLocation;
		
		if (type == 'string') {
			//JSON.parse  安卓格式要转换
			location = JSON.parse(kUserLocation);
		} else if (type == 'object') {
			location = kUserLocation
		}
		return location;
	}
}